<template>
    <div class="newsletter animated fadeInUp">
        <div class="newsletter-lang">
            <a href="#" class="lang__e" :class="{'lang__e--active': lang === locale}" v-for="(langData, lang) in locales" @click="locale = lang">
                {{ lang }} <img :src="`/img/${lang}.png`" alt="">
            </a>
        </div>
        <form action="" @submit.prevent="submit">
            <div class="inputTwo">
                <div class="box__input--element">
                    <label for="form_title">{{ $t('pages.form.title') }}</label>
                    <input type="text" id="form_title" v-model="form.title[locale]">
                </div>
                <div class="box__input--element">
                    <label for="form_description">{{ $t('pages.form.description') }}</label>
                    <input type="text" id="form_description" v-model="form.description[locale]">
                </div>
                <div class="box__input--element">
                    <label for="form_keywords">{{ $t('pages.form.keywords') }}</label>
                    <input type="text" id="form_keywords" v-model="form.keywords">
                </div>
            </div>
            <toast-editor v-model="form.body[locale]"/>
            <div class="input__down">
                <label for="form_route">{{ $t('pages.form.route') }}</label>
                <input type="text" id="form_route" v-model="form.route">
            </div>
            <button class="save" type="submit">{{ $t('pages.form.submit') }}</button>
        </form>
    </div>
</template>

<script>
    import {mapGetters} from "vuex";

	export default {
		name: "PageForm",
        props: ['page'],
        data(){
		    return {
		        form: {
		            id: this.page ? this.page.id : undefined,
                    route: this.page ? this.page.route : '',
                    title: this.page ? this.page.title : '',
                    description: this.page ? this.page.description : '',
                    keywords: this.page ? this.page.keywords : '',
                    body: this.page ? this.page.body : '',
                },
                locale: this.app_locale,
            }
        },
        computed: {
            ...mapGetters({
                locales: 'supportedLocales',
                app_locale: 'locale'
            })
        },
        methods: {
		    submit(){
                this.$emit('submit', this.form);
            }
        },
	}
</script>

<style scoped>

</style>
